<?php

/**
 * @package AndTheWinnerIs
 */

$posts = query_posts('post_type=post&post_status=publish&posts_per_page=-1&meta_key='.ATWI_POST_META_IS_CONTEST.'&meta_value=1');

?>

<div class="wrap">

<h2><?php _e('Your Contests', ATWI_DOMAIN); ?></h2>

<span class="hidden" id="atwi-ajax-url"><?= get_bloginfo('wpurl'); ?>/wp-admin/admin-ajax.php</span>

<?php include(ATWI_PATH.'/admin-pages/donate.php'); ?>

<table class="widefat" cellspacing="0" id="atwi-posts-with-comments">

	<thead>
		<tr>
			<th scope="col" class="manage-column hidden"><?php _e('ID', ATWI_DOMAIN); ?></th>
			<th scope="col" class="manage-column"><?php _e('Contest Post', ATWI_DOMAIN); ?></th>
			<th scope="col" class="manage-column"><?php _e('Excerpt', ATWI_DOMAIN); ?></th>
			<th scope="col" class="manage-column"><?php _e('Number of Comments', ATWI_DOMAIN); ?></th>
      <th scope="col" class="manage-column"><?php _e('Possible Winners', ATWI_DOMAIN); ?></th>
		</tr>
	</thead>

	<tfoot>
		<tr>
			<th scope="col" class="manage-column hidden"><?php _e('ID', ATWI_DOMAIN); ?></th>
			<th scope="col" class="manage-column"><?php _e('Contest Post', ATWI_DOMAIN); ?></th>
			<th scope="col" class="manage-column"><?php _e('Excerpt', ATWI_DOMAIN); ?></th>
			<th scope="col" class="manage-column"><?php _e('Number of Comments', ATWI_DOMAIN); ?></th>
      <th scope="col" class="manage-column"><?php _e('Possible Winners', ATWI_DOMAIN); ?></th>
		</tr>
	</tfoot>

	<tbody>

<?php

  $count = 0;

	if (have_posts) : while (have_posts()) : the_post();

		$contest = new AndTheWinnerIs_Contest(get_the_ID());
		
		if ($contest->GetNumberOfEntries() > 0) :
      
			$count++;
			$winners = $contest->GetAllWinners();
?>

		<tr id="atwi-post-<?= get_the_ID(); ?>" class="atwi-post-row">
			<td class="atwi-post-id hidden"><?php the_ID(); ?></td>
			<td><?php edit_post_link(get_the_title()); ?></td>
			<td>
				<?php the_excerpt(); ?>

        <span id="atwi-winner-<?= get_the_ID(); ?>-number-of-winners" class="hidden"><?= count($winners); ?></span>

        <div class="atwi-thinking hidden">
          <?= ATWI_MESSAGE_PLEASE_WAIT ?>&hellip;
          <img src="<?= ATWI_URL; ?>/images/loading.gif" alt="<?= ATWI_MESSAGE_PLEASE_WAIT ?>&hellip;" />
        </div>

        <?php for ($i = 1; $i <= $contest->GetNumberOfWinnersPossible(); $i++) { ?>
        <div id="atwi-winner-<?= get_the_ID(); ?>-<?= $i; ?>" class="atwi-winner-container <?php	if ($i > count($winners)) { echo 'hidden'; } ?>">
          <span class="atwi-winner-number hidden"><?= $i; ?></span>
          <?php	if ($i <= count($winners)) { echo $winners[$i-1]->GetCommentBlock(); } ?>
        </div>
        <div class="clear"></div>
        <?php } /* for */ ?>

        <div class="atwi-actions">
          <a href="#" class="button-secondary atwi-get-winner <?= ((count($winners) >= $contest->GetNumberOfWinnersPossible()) || comments_open(get_the_ID())) ? 'hidden' : ''; ?>" title="<?= ATWI; ?>&hellip;"><?= ATWI; ?>&hellip;</a>
          <a href="#" class="submitdelete atwi-open-comments <?= ((0 === (count($winners))) && !comments_open(get_the_ID())) ? '' : 'hidden'; ?>" title="<?php _e('Re-open comments', ATWI_DOMAIN); ?>"><?php _e('Re-open&nbsp;comments', ATWI_DOMAIN); ?></a>
          <a href="#" class="atwi-close-comments <?= comments_open(get_the_ID()) ? '' : 'hidden'; ?>" title="<?php _e('Close Comments', ATWI_DOMAIN); ?>"><?php _e('Close&nbsp;Comments', ATWI_DOMAIN); ?></a>
        </div>

      </td>
			<td><?= $contest->GetNumberOfEntries(); ?></td>
      <td id="atwi-winner-<?= get_the_ID(); ?>-number-of-possible-winners"><?= $contest->GetNumberOfWinnersPossible(); ?></td>
		</tr>

		<?php endif; ?>

<?php endwhile; endif; ?>

    <?php if (0 === $count) : ?>
		<tr>
			<td colspan="4" id="atwi-no-posts">
				<strong><?php _e('There are no posts available to choose a winning comment for.', ATWI_DOMAIN); ?></strong>
				<p><?php _e('Perhaps you have not marked any posts as contests or there are no contest posts with comments.', ATWI_DOMAIN); ?></p>
			</td>
		</tr>
    <?php endif; ?>
    
	</tbody>
</table>

<?php include(ATWI_PATH.'/admin-pages/donate.php'); ?>

</div><!--wrap-->